##
##  pegtl.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         pegtl
Summary:      Parsing Expression Grammar (PEG) Template Library
URL:          https://github.com/colinh/pegtl
Vendor:       Dr. Colin Hirsch
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        CompilerCompiler
License:      MIT
Version:      3.2.7
Release:      20220715

#   list of sources
Source0:      https://github.com/ColinH/PEGTL/archive/%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, gcc, gcc::with_cxx = yes

%description
    The Parsing Expression Grammar Template Library (PEGTL) is a C++0x
    library for creating parsers according to a Parsing Expression
    Grammar (PEG). Grammars are embedded as regular C++ code, and
    consist of template hierarchies of classes. These hierarchies
    naturally correspond to the inductive definition of PEGs. The
    library extends on the subject of PEGs with new expression types,
    actions that can be attached to grammar rules, and mechanisms to
    ensure helpful diagnostics in case of parsing errors.

%track
    prog pegtl = {
        version   = %{version}
        url       = https://github.com/ColinH/PEGTL/releases
        regex     = (__VER__)\.tar\.gz
    }

%prep
    %setup -q -n PEGTL-%{version}

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/include
    cp -rp include/tao/* $RPM_BUILD_ROOT%{l_prefix}/include/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

